Ruby 1.9.2p136(2010-12-25revision30365)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields

# vtable Struct Reference

## Data Fields
ID * | tbl
int | pos
int | capa
struct vtable * | prev

## Detailed Description

Definition at line 151 of file ripper.c.

## Field Documentation

int vtable::capa

Definition at line 154 of file ripper.c.

Referenced by parser_memsize(), and vtable_alloc().

int vtable::pos

Definition at line 153 of file ripper.c.

Referenced by vtable_alloc(), vtable_included(), and vtable_size().

struct vtable * vtable::prev

Definition at line 155 of file ripper.c.

Referenced by dvar_defined_gen(), local_id_gen(), and vtable_alloc().

ID * vtable::tbl

Definition at line 152 of file ripper.c.

Referenced by vtable_alloc(), vtable_included(), and vtable_tblcpy().

The documentation for this struct was generated from the following files:

- ext/ripper/ripper.c
- parse.c